Subject: staten island ferry terminal

From: [email-masked] (REvitts)
Date: 14 Apr 1996 16:53:19 -0400

The Whitehall ferry terminal, the Manhattan terminus of the Staten Island
Ferry, designed by Venturi, Scott Brown and Associates, is in danger of
not being built because of politics and yellow journalism.

I am interested in hearing from architects, particularly in Staten Island,
but also in New York City, who know of the project and would be willing to
write letters of support for the project design to the offending public
officials.